Bug 78190 - [PATCH] [TRIVIAL] misparses command line badly.
[PATCH] [TRIVIAL] misparses command line badly.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-19 16:59 EST by Crutcher Dunnavant
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-19 16:59:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Crutcher Dunnavant 2002-11-19 16:59:39 EST
Description of Problem:
There is a brown-paper-bag bug in /usr/share/redhat-config-xfree86/xconf.py,
which completely fubars its parsing of --set-card and --set-resolution.

A comma is missing.

Version-Release number of selected component (if applicable):
redhat-config-xfree86-0.6.7-1

--- xconf.py.oops       2002-11-19 16:01:24.000000000 -0600
+++ xconf.py    2002-11-19 16:01:35.000000000 -0600
@@ -1534,7 +1534,7 @@
                                ["help", "reconfig", "noui", "verbose",
                                 "forceui", "output=",
                                 "set-hsync=", "set-vsync=",
-                                "set-videoram=", "set-driver=", "set-card="
+                                "set-videoram=", "set-driver=", "set-card=",
                                 "set-resolution=", "set-depth="])
 except (getopt.GetoptError), e:
     print e
Comment 1 Alexander Larsson 2002-11-20 05:56:11 EST
Yes. That was a bit embarrasing. But it is fixed in CVS, and i believe the fix
has now propagated to rawhide.

Note You need to log in before you can comment on or make changes to this bug.